package card_info_apple

import (
	"context"
	"kami/internal/service"

	"kami/api/card_info_apple/v1"
)

func (c *ControllerV1) RechargeStealRuleDelete(ctx context.Context, req *v1.RechargeStealRuleDeleteReq) (res *v1.RechargeStealRuleDeleteRes, err error) {
	rechargeService := service.AppleOrder()
	err = rechargeService.DeleteStealRule(ctx, req.ID)
	return
}
